function [era] = MonteCarloEra(n)
%This function specifies which era occurs for each simulation run. 

%Initializing:
era = zeros(1,n);
%Monte Carlo loop: 
for i = 1:n
    %Determines which era "e" will occur, with equal probabilities. 
    r = rand();
    if r <= 0.2
        era(i) = 1;
    elseif r > 0.2 && r <= 0.4
        era(i) = 2;
    elseif r > 0.4 && r <= 0.6
        era(i) = 3;
    elseif r > 0.6 && r <= 0.8
        era(i) = 4;
    elseif r > 0.8 && r <= 1
        era(i) = 5;
    end
end
end